//Source file: CallLegConnectionProperties.java
//Date: December 2004
//Multi Party Call Control Data Types for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc;

/**
 * Defines the Sequence of Data Elements that specify the connection properties of the Call Leg object 
 * 
 */
public final class CallLegConnectionProperties implements java.io.Serializable {

    private org.csapi.jr.se.cc.CallLegAttachMechanism attachMechanism;

    /**
     * Creates a new CallLegConnectionProperties instance.
     */
    public CallLegConnectionProperties () {}

    /**
     * Creates a new CallLegConnectionProperties instance.
     * @param _attachMechanism   Defines how a CallLeg should be attached to the call.
     */
    public CallLegConnectionProperties (org.csapi.jr.se.cc.CallLegAttachMechanism _attachMechanism) {

        this.attachMechanism = _attachMechanism;
    }

    /**
     * This method returns a attachMechanism.
     * 
     * @return a org.csapi.jr.se.cc.CallLegAttachMechanism value
     */
    public org.csapi.jr.se.cc.CallLegAttachMechanism getAttachMechanism() {
        return attachMechanism;
    }


    /**
     * This method sets a attachMechanism.
     */ 
    public void setAttachMechanism(org.csapi.jr.se.cc.CallLegAttachMechanism attachMechanism) {
        this.attachMechanism = attachMechanism;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof CallLegConnectionProperties)) {
            return false;
        } 
        CallLegConnectionProperties callLegConnectionProperties = (CallLegConnectionProperties) o;
        if ((this.attachMechanism != null) && (callLegConnectionProperties.attachMechanism != null)) {
            if(!(this.attachMechanism.equals(callLegConnectionProperties.attachMechanism))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // CallLegConnectionProperties

