//Source file: CallNotificationRequest.java
//Date: December 2004
//Multi Party Call Control Data Types for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc;

/**
 * Defines the Sequence of Data Elements that specify the criteria for an event notification
 * 
 */
public final class CallNotificationRequest implements java.io.Serializable {

    private org.csapi.jr.se.cc.CallNotificationScope callNotificationScope;
    private org.csapi.jr.se.cc.CallEventRequest[] callEventsRequested;

    /**
     * Creates a new CallNotificationRequest instance.
     */
    public CallNotificationRequest () {}

    /**
     * Creates a new CallNotificationRequest instance.
     * @param _callNotificationScope   Defines the scope of the notification request.
     * @param _callEventsRequested   Defines the events which are requested
     */
    public CallNotificationRequest (org.csapi.jr.se.cc.CallNotificationScope _callNotificationScope, org.csapi.jr.se.cc.CallEventRequest[] _callEventsRequested) {

        this.callNotificationScope = _callNotificationScope;
        this.callEventsRequested = _callEventsRequested;
    }

    /**
     * This method returns a callNotificationScope.
     * 
     * @return a org.csapi.jr.se.cc.CallNotificationScope value
     */
    public org.csapi.jr.se.cc.CallNotificationScope getCallNotificationScope() {
        return callNotificationScope;
    }

    /**
     * This method returns a callEventsRequested.
     * 
     * @return a org.csapi.jr.se.cc.CallEventRequest[] value
     */
    public org.csapi.jr.se.cc.CallEventRequest[] getCallEventsRequested() {
        return callEventsRequested;
    }


    /**
     * This method sets a callNotificationScope.
     */ 
    public void setCallNotificationScope(org.csapi.jr.se.cc.CallNotificationScope callNotificationScope) {
        this.callNotificationScope = callNotificationScope;
    }

    /**
     * This method sets a callEventsRequested.
     */ 
    public void setCallEventsRequested(org.csapi.jr.se.cc.CallEventRequest[] callEventsRequested) {
        this.callEventsRequested = callEventsRequested;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof CallNotificationRequest)) {
            return false;
        } 
        CallNotificationRequest callNotificationRequest = (CallNotificationRequest) o;
        if ((this.callNotificationScope != null) && (callNotificationRequest.callNotificationScope != null)) {
            if(!(this.callNotificationScope.equals(callNotificationRequest.callNotificationScope))) {
                return false;
            }
        }
        if(!(this.callEventsRequested == callNotificationRequest.callEventsRequested))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // CallNotificationRequest

