//Source file: Carrier.java
//Date: December 2004
//Multi Party Call Control Data Types for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc;

/**
 * Defines the Sequence of Data Elements that indicates carrier information. It consists of the carrier selection field followed by the Carrier ID information to be used for routing a call to a carrier.
 * 
 */
public final class Carrier implements java.io.Serializable {

    private byte[] carrierID;
    private org.csapi.jr.se.cc.CarrierSelectionField carrierSelectionField;

    /**
     * Creates a new Carrier instance.
     */
    public Carrier () {}

    /**
     * Creates a new Carrier instance.
     * @param _carrierID   
     * @param _carrierSelectionField   
     */
    public Carrier (byte[] _carrierID, org.csapi.jr.se.cc.CarrierSelectionField _carrierSelectionField) {

        this.carrierID = _carrierID;
        this.carrierSelectionField = _carrierSelectionField;
    }

    /**
     * This method returns a carrierID.
     * 
     * @return a byte[] value
     */
    public byte[] getCarrierID() {
        return carrierID;
    }

    /**
     * This method returns a carrierSelectionField.
     * 
     * @return a org.csapi.jr.se.cc.CarrierSelectionField value
     */
    public org.csapi.jr.se.cc.CarrierSelectionField getCarrierSelectionField() {
        return carrierSelectionField;
    }


    /**
     * This method sets a carrierID.
     */ 
    public void setCarrierID(byte[] carrierID) {
        this.carrierID = carrierID;
    }

    /**
     * This method sets a carrierSelectionField.
     */ 
    public void setCarrierSelectionField(org.csapi.jr.se.cc.CarrierSelectionField carrierSelectionField) {
        this.carrierSelectionField = carrierSelectionField;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof Carrier)) {
            return false;
        } 
        Carrier carrier = (Carrier) o;
        if(!(this.carrierID == carrier.carrierID))  {
            return false;
        }
        if ((this.carrierSelectionField != null) && (carrier.carrierSelectionField != null)) {
            if(!(this.carrierSelectionField.equals(carrier.carrierSelectionField))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // Carrier

