//Source file: NotificationRequestedSetEntry.java
//Date: December 2004
//Multi Party Call Control Data Types for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc;

/**
 * Defines the Sequence of Data Elements that specify a set of requested notifications and an indication whether more notifications can be requested.
 * 
 */
public final class NotificationRequestedSetEntry implements java.io.Serializable {

    private org.csapi.jr.se.cc.NotificationRequested[] notificationRequestSet;
    private boolean _final;

    /**
     * Creates a new NotificationRequestedSetEntry instance.
     */
    public NotificationRequestedSetEntry () {}

    /**
     * Creates a new NotificationRequestedSetEntry instance.
     * @param _notificationRequestSet   Numbered set of requested notifications.
     * @param _final    Indication whether the set of notifications is the final set (TRUE) or if there are more notifications available (FALSE).
     */
    public NotificationRequestedSetEntry (org.csapi.jr.se.cc.NotificationRequested[] _notificationRequestSet, boolean _final ) {

        this.notificationRequestSet = _notificationRequestSet;
        this._final = _final;
    }

    /**
     * This method returns a notificationRequestSet.
     * 
     * @return a org.csapi.jr.se.cc.NotificationRequested[] value
     */
    public org.csapi.jr.se.cc.NotificationRequested[] getNotificationRequestSet() {
        return notificationRequestSet;
    }

    /**
     * This method returns a _final.
     * 
     * @return a boolean value
     */
    public boolean getFinal() {
        return _final;
    }


    /**
     * This method sets a notificationRequestSet.
     */ 
    public void setNotificationRequestSet(org.csapi.jr.se.cc.NotificationRequested[] notificationRequestSet) {
        this.notificationRequestSet = notificationRequestSet;
    }

    /**
     * This method sets a _final.
     */ 
    public void setFinal(boolean _final) {
        this._final = _final;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof NotificationRequestedSetEntry)) {
            return false;
        } 
        NotificationRequestedSetEntry notificationRequestedSetEntry = (NotificationRequestedSetEntry) o;
        if(!(this.notificationRequestSet == notificationRequestedSetEntry.notificationRequestSet))  {
            return false;
        }
        if(!(this._final == notificationRequestedSetEntry._final)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // NotificationRequestedSetEntry

