//Source file: CallAbortedEvent.java
//Date: December 2004
//Multi Party Call Control Interfaces for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc.mpccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the callAborted() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class CallAbortedEvent extends java.util.EventObject {

    /**
     * Constructor for the CallAbortedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CallAbortedEvent(java.lang.Object source,
        org.csapi.jr.se.cc.mpccs.MultiPartyCall multiPartyCall) {

        super(source);
        this.multiPartyCall = multiPartyCall;
 
    }

    org.csapi.jr.se.cc.mpccs.MultiPartyCall multiPartyCall = null;

    /**
     *  This method is used to retrieve a reference to the MultiPartyCall associated
     *  with this event.
     *
     * @return    A reference to the MultiPartyCall associated with this event.
     */
    public MultiPartyCall getMultiPartyCall() {

        return this.multiPartyCall;
    }

}

