//Source file: GetInfoResEvent.java
//Date: December 2004
//Multi Party Call Control Interfaces for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc.mpccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getInfoRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class GetInfoResEvent extends java.util.EventObject {

    /**
     * Constructor for the GetInfoResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetInfoResEvent(java.lang.Object source,
        org.csapi.jr.se.cc.CallLegInfoReport callLegInfoReport) {

        super(source);
      this.callLegInfoReport = callLegInfoReport;
 
    }

    org.csapi.jr.se.cc.CallLegInfoReport callLegInfoReport;

    /**
     *  This method is used to retrieve the parameter value of 'callLegInfoReport' passed up
     *  from the Gateway in it's call to the getInfoRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'callLegInfoReport' used on creation of this event.
     */
    public org.csapi.jr.se.cc.CallLegInfoReport getCallLegInfoReport() {

        return this.callLegInfoReport;
    }
       
    /**
     * Constructor for the GetInfoResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetInfoResEvent(java.lang.Object source,
        org.csapi.jr.se.cc.CallInfoReport callInfoReport) {

        super(source);
      this.callInfoReport = callInfoReport;

    }

    org.csapi.jr.se.cc.CallInfoReport callInfoReport;

    /**
     *  This method is used to retrieve the parameter value of 'callInfoReport' passed up
     *  from the Gateway in it's call to the getInfoRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'callInfoReport' used on creation of this event.
     */
    public org.csapi.jr.se.cc.CallInfoReport getCallInfoReport() {

        return this.callInfoReport;
    }

}

