//Source file: MultiPartyCallControlManagerListener.java
//Date: December 2004
//Multi Party Call Control Interfaces for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc.mpccs;

/**
 * This interface is to be implemented for receiving events issued by the MultiPartyCallControlManager service object.<BR>
 *
 */
public interface MultiPartyCallControlManagerListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the callAborted() method on 
    * the callback interface.
    *
    * @param  callAbortedEvent  Reference to a CallAbortedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCallAbortedEvent(org.csapi.jr.se.cc.mpccs.CallAbortedEvent callAbortedEvent);


   /**
    * Called due to a Gateway initiated call to the managerInterrupted() method on 
    * the callback interface.
    *
    * @param  managerInterruptedEvent  Reference to a ManagerInterruptedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onManagerInterruptedEvent(org.csapi.jr.se.cc.mpccs.ManagerInterruptedEvent managerInterruptedEvent);


   /**
    * Called due to a Gateway initiated call to the managerResumed() method on 
    * the callback interface.
    *
    * @param  managerResumedEvent  Reference to a ManagerResumedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onManagerResumedEvent(org.csapi.jr.se.cc.mpccs.ManagerResumedEvent managerResumedEvent);

}

