//Source file: SuperviseResEvent.java
//Date: December 2004
//Multi Party Call Control Interfaces for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc.mpccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the superviseRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class SuperviseResEvent extends java.util.EventObject {

    /**
     * Constructor for the SuperviseResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public SuperviseResEvent(java.lang.Object source,
        int                             report,
        int                             usedTime) {

        super(source);
      this.report = report;
      this.usedTime = usedTime;
 
    }

    int                             report;

    /**
     *  This method is used to retrieve the parameter value of 'report' passed up
     *  from the Gateway in it's call to the superviseRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'report' used on creation of this event.
     */
    public int getReport() {

        return this.report;
    }
       
    int                             usedTime;

    /**
     *  This method is used to retrieve the parameter value of 'usedTime' passed up
     *  from the Gateway in it's call to the superviseRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'usedTime' used on creation of this event.
     */
    public int getUsedTime() {

        return this.usedTime;
    }
       
}

